PAMU2FCFG(1)

NAME
pamu2fcfg - Configuration tool for the U2F PAM module.

SYNOPSIS

pamu2fcfg [OPTION]...

DESCRIPTION

Perform a U2F registration procedure using a connected U2F token and output a configuration line that can be used with the U2F PAM module.

OPTIONS

-d, --debug
    Print debug information (highly verbose)

-h, --help
    Print help and exit

-o, --origin=STRING
    Origin URL to use during registration. Defaults to pam://hostname

-i, --appid=STRING
    Application ID to use during registration. Defaults to origin

-V, --version Print version and exit

Group: user (mutually exclusive)

-u, --username=STRING
    The name of the user registering the device. Defaults to the current user name

-n, --nouser
    Print only registration information (keyHandle and public key). Useful for appending

BUGS

Report pamu2fcfg bugs in the issue tracker: https://github.com/Yubico/pam-u2f/issues

SEE ALSO

pam_u2f(8), pam(7)

The pam-u2f home page: https://developers.yubico.com/pam-u2f/

YubiKeys can be obtained from Yubico: http://www.yubico.com/